--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Raise a StubbingError if the specified <tt>action</tt> (as a symbol) is attempted. The <tt>actions</tt> currently available are <tt>:stubbing_method_unnecessarily, :stubbing_method_on_non_mock_object, :stubbing_non_existent_method, :stubbing_non_public_method</tt>.
full_name: Mocha::Configuration::prevent
is_singleton: true
name: prevent
params: " prevent(action)\n"
visibility: public
